SDL_HINT_MOUSE_FOCUS_CLICKTHROUGH(3)

NAME
SDL_HINT_MOUSE_FOCUS_CLICKTHROUGH - Allow mouse click events when clicking to focus an SDL window.

SYNOPSIS
#include <SDL3/SDL_hints.h>

#define SDL_HINT_MOUSE_FOCUS_CLICKTHROUGH "SDL_MOUSE_FOCUS_CLICKTHROUGH"

DESCRIPTION
The variable can be set to the following values:

• "0": Ignore mouse clicks that activate a window. (default)

• "1": Generate events for mouse clicks that activate a window.

This hint can be set anytime.

AVAILABILITY
This hint is available since SDL 3.2.0.